Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2004SelfLocator::Sample Class Reference

The class represents a sample. More...

Inheritance diagram for GT2004SelfLocator::Sample:

[legend]
Collaboration diagram for GT2004SelfLocator::Sample:

[legend]
List of all members.

## Public Types
enum | { numberOfQualities = LinesPercept::numberOfLineTypes + 1 }
## Public Member Functions
| Sample ()
| Constructor.
| Sample (const Pose2D &pose, const double *quality)
| Constructor.
double | getQuality () const
void | updateQuality (const double *average)
void | setProbability (LinesPercept::LineType type, double value)
bool | isValid () const
## Public Attributes
Pose2D | camera
| Temporary representing the pose of the camera.
double | quality [numberOfQualities]
| The quality of the sample, i.e.
Sample * | next
| The next sample in the cell cube.

## Detailed Description

The class represents a sample.

Definition at line 25 of file GT2004SelfLocator.h.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  numberOfQualities |
Definition at line 28 of file GT2004SelfLocator.h.

## Constructor & Destructor Documentation

GT2004SelfLocator::Sample::Sample | ( |  | ) |

| Constructor. Definition at line 27 of file GT2004SelfLocator.cpp. References numberOfQualities, and quality.

GT2004SelfLocator::Sample::Sample | ( | const Pose2D & | pose,
|  | const double * | quality
| ) |

  | Constructor. Parameters:
  pose | The pose of the sample.
  quality | The quality of the sample.
Definition at line 34 of file GT2004SelfLocator.cpp. References numberOfQualities.

## Member Function Documentation

double GT2004SelfLocator::Sample::getQuality | ( |  | ) | const`[inline]`

| Definition at line 48 of file GT2004SelfLocator.h. Referenced by GT2004SelfLocator::calcPose(), and GT2004SelfLocator::resample().

void GT2004SelfLocator::Sample::updateQuality | ( | const double * | average | ) |

| Definition at line 42 of file GT2004SelfLocator.cpp. References max, numberOfQualities, and quality.

void GT2004SelfLocator::Sample::setProbability | ( | LinesPercept::LineType | type,
|  | double | value
| ) |

| Definition at line 49 of file GT2004SelfLocator.cpp. References max, and quality. Referenced by GT2004SelfLocator::updateByFlag(), GT2004SelfLocator::updateByGoalPost(), and GT2004SelfLocator::updateByPoint().

bool GT2004SelfLocator::Sample::isValid | ( |  | ) | const`[inline]`

| Definition at line 54 of file GT2004SelfLocator.h. Referenced by GT2004SelfLocator::calcPose().

## Member Data Documentation

Pose2D GT2004SelfLocator::Sample::camera

| Temporary representing the pose of the camera. Definition at line 32 of file GT2004SelfLocator.h. Referenced by GT2004SelfLocator::updateByFlag(), GT2004SelfLocator::updateByGoalPost(), and GT2004SelfLocator::updateByOdometry().

double GT2004SelfLocator::Sample::quality[numberOfQualities]

| The quality of the sample, i.e. a lowpass filtered probability. Definition at line 33 of file GT2004SelfLocator.h. Referenced by GT2004SelfLocator::resample(), Sample(), setProbability(), and updateQuality().

Sample* GT2004SelfLocator::Sample::next

| The next sample in the cell cube. Definition at line 34 of file GT2004SelfLocator.h. Referenced by GT2004SelfLocator::calcPose().

The documentation for this class was generated from the following files:

- Modules/SelfLocator/GT2004SelfLocator.h
- Modules/SelfLocator/GT2004SelfLocator.cpp